Name: libssim
Version: 1.5.0
Release: alt1

Summary: Siena Simulation Library
License: GPL
Group: System/Libraries
Url: http://www.cs.colorado.edu/serl/~carzanig/ssim/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: ssim-%version.tar.gz

# Automatically added by buildreq on Tue Jun 24 2003
BuildRequires: doxygen gcc-c++ libstdc++-devel

%description
This library implements a very simple sequential discrete-event
simulator.  A simulation consists of an execution of one or more
processes, each one executing a number of actions, at given intervals,
or in response to signals from other processes.  The library defines
the basic interface of a process, and provides the main simulation
scheduler, including methods for creating, starting, and stopping
processes, and for scheduling actions or signalling other processes.

%package -n %name-devel
Summary: Development files for libssim
Group: Development/C
PreReq: %name = %version-%release
License: GPL

%description -n %name-devel
This package contains development files required for packaging
libssim-based software.

%package -n %name-devel-static
Summary: Static libraries for libssim
Group: Development/C
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libssim-based software.

%prep
%setup -q -n ssim-%version

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure "--prefix=%buildroot/usr"
make all

%install
make install docdir=$RPM_BUILD_DIR/ssim-%version

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files -n %name
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog html tests/*.{cc,h}
%_libdir/lib*.so.*

%files -n %name-devel
%_libdir/*.so
%_includedir/siena

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Tue May 25 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.5.0-alt1
- new version

* Thu Mar 4 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.4.2-alt1
- 1.4.2
- cleans up the coufigure process
- adds some documentation and reorganizes example files
- added autoconf files

* Wed Jan 7 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Tue Dec 4 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.4.0-alt1
- 1.4.0
- removed *.la files
- adds support for sequential processes
- added tests subdir
- updated to new doxygen format
- added tprocess.h

* Tue Jul 8 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Tue Jun 24 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.3.1-alt1
- First version of RPM package.
